# Add files and directories to ship with the application 
# by adapting the examples below.
# file1.source = myfile
# dir1.source = mydir
DEPLOYMENTFOLDERS = # file1 dir1

symbian:TARGET.UID3 = 0xE7DBE3C0

# Smart Installer package's UID
# This UID is from the protected range 
# and therefore the package will fail to install if self-signed
# By default qmake uses the unprotected range value if unprotected UID is defined for the application
# and 0x2002CCCF value if protected UID is given to the application
#symbian:DEPLOYMENT.installer_header = 0x2002CCCF

# Allow network access on Symbian
symbian:TARGET.CAPABILITY += NetworkServices

# If your application uses the Qt Mobility libraries, uncomment
# the following lines and add the respective components to the 
# MOBILITY variable. 
CONFIG += mobility
MOBILITY += systeminfo systemnetworkinfo
QT += core network


FORMS += \
    src/ui/woldialog.ui \
    src/ui/squeezster_portrait.ui \
    src/ui/squeezster_fullscreen.ui \
    src/ui/squeezster.ui \
    src/ui/optionsdialog.ui \
    src/ui/libraryviewdialog.ui \
    src/ui/connectiondialog.ui

HEADERS +=  \
    src/ui/woldialog.h \
    src/ui/version.h \
    src/ui/treewidgetitemnetworkrequest.h \
    src/ui/squeezster_ui_definitions.h \
    src/ui/squeezster_icons.h \
    src/ui/pushbuttonnetworkrequest.h \
    src/ui/optionsdialog.h \
    src/ui/metatypes.h \
    src/ui/maptreeitem.h \
    src/ui/maplistitem.h \
    src/ui/listwidgetitemnetworkrequest.h \
    src/ui/libraryviewdialog.h \
    src/ui/constants.h \
    src/ui/connectiondialog.h \
    src/ui/squeezster.h \
    src/constantscore.h \
    src/versioncore.h \
    src/squeezstercore.h \
    src/qtjson/json.h

SOURCES +=  \
    src/ui/woldialog.cpp \
    src/ui/squeezster.cpp \
    src/ui/pushbuttonnetworkrequest.cpp \
    src/ui/optionsdialog.cpp \
    src/ui/maptreeitem.cpp \
    src/ui/maplistitem.cpp \
    src/ui/main.cpp \
    src/ui/libraryviewdialog.cpp \
    src/ui/connectiondialog.cpp \
    src/squeezstercore.cpp \
    src/qtjson/json.cpp

# Please do not modify the following two lines. Required for deployment.
include(deployment.pri)
qtcAddDeployment()

OTHER_FILES += \
    qtc_packaging/debian_fremantle/rules \
    qtc_packaging/debian_fremantle/README \
    qtc_packaging/debian_fremantle/copyright \
    qtc_packaging/debian_fremantle/control \
    qtc_packaging/debian_fremantle/compat \
    qtc_packaging/debian_fremantle/changelog \
    src/qtjson/README \
    src/qtjson/LICENSE \
    src/qtjson/AUTHORS \
    images/whitenot.png \
    images/whiteheart.png \
    images/template.png \
    images/stop_symbonly.png \
    images/stop.png \
    images/squeezster.png \
    images/smallplus_symbonly.png \
    images/smallminus_symbonly.png \
    images/smallbullet_symbonly.png \
    images/rew_symbonly.png \
    images/rew.png \
    images/radio.png \
    images/power_symbonly.png \
    images/power_red_symbonly.png \
    images/power_green_symbonly.png \
    images/power.png \
    images/plus_symbonly.png \
    images/play_symbonly.png \
    images/play.png \
    images/pause_symbonly.png \
    images/pause.png \
    images/not.png \
    images/musicnotes.png \
    images/minus_symbonly.png \
    images/minus.png \
    images/library.png \
    images/heart.png \
    images/fwd_symbonly.png \
    images/fwd.png \
    images/folder.png \
    images/empty_symbonly.png \
    images/cd_grey_small.png \
    images/cd_grey.png \
    images/bullet_symbonly.png \
    images/apps.png

RESOURCES += \
    images.qrc

